Eclipse Platform Release 3.7

## org.eclipse.ui.about
Class InstallationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.ui.about.InstallationPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider

Direct Known Subclasses:
  InstalledSoftwarePage, RevertProfilePage

    public abstract class InstallationPage

extends DialogPage

Abstract base implementation for an installation dialog page.

Clients should extend this class and include the name of the subclass in an extension contributed to the workbench's installation pages extension point (named `"org.eclipse.ui.installationPages"`). For example, the plug-in's XML markup might contain:

     <extension point="org.eclipse.ui.installationPages">
          <page id="com.example.myplugin.installInfo"
             name="Example Details"
             class="com.example.myplugin.MyInstallationPage" />
     </extension>

Since:
  3.5

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`InstallationPage()`

Method Summary
`protected void` `buttonPressed(int buttonId)` Notifies that this page's button with the given id has been pressed.
`protected Button` `createButton(Composite parent, int id, String label)` Creates a new button with the given id.
`void` `createPageButtons(Composite parent)` Create the buttons that belong to this page using the specified parent.
`protected IInstallationPageContainer` `getPageContainer()` Get the page container that is hosting this page.
`void` `setMessage(String newMessage)` Sets or clears the message for this page.
`void` `setMessage(String newMessage, int newType)` Sets the message for this page with an indication of what type of message it is.
`void` `setPageContainer(IInstallationPageContainer container)` Set the page container that is hosting this page.

Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setDescription, setErrorMessage, setImageDescriptor, setTitle, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl`

Constructor Detail

### InstallationPage

    public InstallationPage()

Method Detail

### setMessage

    public void setMessage(String newMessage)

  Sets or clears the message for this page.

  This message has no effect when the receiver is used in an IInstallationPageContainer.

  Overrides:
    `setMessage` in class `DialogPage`
  Parameters:
    `newMessage` - the message, or `null` to clear the message

### setMessage

    public void setMessage(String newMessage,
                           int newType)

  Sets the message for this page with an indication of what type of message it is.

  The valid message types are one of `NONE`, `INFORMATION`,`WARNING`, or `ERROR`.

  This message has no effect when the receiver is used in an IInstallationPageContainer.

  Overrides:
    `setMessage` in class `DialogPage`
  Parameters:
    `newMessage` - the message, or `null` to clear the message
    `newType` - the message type

### setPageContainer

    public void setPageContainer(IInstallationPageContainer container)

  Set the page container that is hosting this page. This method is typically called by the container itself so that the pages have access to the container when registering buttons using `IInstallationPageContainer.registerPageButton(InstallationPage, Button)` or performing other container-related tasks.

  Parameters:
    `container` - the container that is hosting the page.

### createPageButtons

    public void createPageButtons(Composite parent)

  Create the buttons that belong to this page using the specified parent.

  Parameters:
    `parent` - the parent to use for the buttons.
  See Also:
    `createButton(Composite, int, String)`, `buttonPressed(int)`

### createButton

    protected Button createButton(Composite parent,
                                  int id,
                                  String label)

  Creates a new button with the given id.

  This method creates a standard push button, registers it for selection events, and registers it as a button belonging to this page. Subclasses should not make any assumptions about the visibility, layout, or presentation of this button inside the dialog.

  Parameters:
    `parent` - the parent composite
    `id` - the id of the button (see `IDialogConstants.*_ID` constants for standard dialog button ids)
    `label` - the label from the button
  Returns:
    the new button
  See Also:
    `createPageButtons(Composite)`, `buttonPressed(int)`

### buttonPressed

    protected void buttonPressed(int buttonId)

  Notifies that this page's button with the given id has been pressed. Subclasses should extend this method to handle the buttons created in `createButton(Composite, int, String)`

  Parameters:
    `buttonId` - the id of the button that was pressed (see `IDialogConstants.*_ID` constants)

### getPageContainer

    protected IInstallationPageContainer getPageContainer()

  Get the page container that is hosting this page. This method is typically used when registering buttons using `IInstallationPageContainer.registerPageButton(InstallationPage, Button)` or performing other container-related tasks.

  Returns:
    the container that is hosting the page.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.